summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPeng Huang <shawn.p.huang@gmail.com>2009-03-28 12:12:47 +0800
committerPeng Huang <shawn.p.huang@gmail.com>2009-03-28 12:12:47 +0800
commit56760794ebe6bb23e2fe2fdc5e3dca825be54df7 (patch)
tree5183c55b0827d971c26c9397f1f957b1c275f811
parent483ebd376b30e905998c72c4e9c3dd095707d63e (diff)
downloadibus-56760794ebe6bb23e2fe2fdc5e3dca825be54df7.tar.gz
ibus-56760794ebe6bb23e2fe2fdc5e3dca825be54df7.tar.xz
ibus-56760794ebe6bb23e2fe2fdc5e3dca825be54df7.zip
exit 1 when some command failed.
-rwxr-xr-xautogen.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/autogen.sh b/autogen.sh
index c34acab..addc0bd 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -2,13 +2,13 @@
set -e
set -x
-autopoint --force
-libtoolize --automake --copy --force
-gtkdocize --copy #--flavour=no-tmpl
-aclocal -I m4 --force
-autoheader --force
-automake --add-missing --copy --force
-autoconf --force
+autopoint --force || exit 1
+libtoolize --automake --copy --force || exit 1
+gtkdocize --copy || exit 1 #--flavour=no-tmpl
+aclocal -I m4 --force || exit 1
+autoheader --force || exit 1
+automake --add-missing --copy --force || exit 1
+autoconf --force || exit 1
export CFLAGS="-Wall -g -O0 -Wl,--no-undefined"
export CXXFLAGS="$CFLAGS"
-./configure --enable-maintainer-mode $*
+./configure --enable-maintainer-mode $* || exit 1